/* Script utilisant Ajax */

// Variable globales.
var ModeleTache = ''; // Modele de Tache.
var idTache = ''; // identifiant de la tache
var nomTache = ''; // nom de la tache
var tdescription = ''; // description de la tache
var sTypeModaliteDefault = '' // Modalite par defaut
var modalites = new Array; // Tableau contenant les modalites possibles
var tempsTache = 0;

var validation = 0; // cette variable est mise a 1 lorsque l'utilisateur clique sur valider.


var XMLHttpRequestObject = false;


function tache_edit_init(modtache)
{
	this.ModeleTache=modtache;
	// fonction appelee au chargment de la page, initiatisation, et chargement de la premiere question.
	tache_edit_envoie_req('idTache=0');
}

function tache_edit_envoie_req(req)
{	
	// creation du XMLHttpRequest et envoie d'une requete.
	if (window.XMLHttpRequest) // Mozilla, Safari, opera
	{
		this.XMLHttpRequestObject = new XMLHttpRequest();
		if (XMLHttpRequestObject.overrideMimeType) 	
			XMLHttpRequestObject.overrideMimeType('text/xml');
	}
	else if (window.ActiveXObject) //IE
	{
		try { this.XMLHttpRequestObject = new ActiveXObject("Msxml2.XMLHTTP") }
		catch (e)
		{
			try { this.XMLHttpRequestObject = new ActiveXObject("Microsoft.XMLHTTP") }
			catch (e) {}
		}
	}
	if (!XMLHttpRequestObject) alert('Erreur : Impossible d&#039;initialiser XMLHttpRequest.');


	XMLHttpRequestObject.open('POST','./ModeleTache/tache_editTache.php',true);
	XMLHttpRequestObject.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	XMLHttpRequestObject.send(req);
	XMLHttpRequestObject.onreadystatechange = tache_edit_reception;
	
}


function tache_edit_reception()
{
	// fonction appelee lors du retour d'une requete XMLHttpRequest;

	if (validation == 1)
	{
		window.location.href = 'index.php';
		return 0;
	}

	// on reçoit les donnees d'une question dans un fichier xml et on les affiche.
	if (XMLHttpRequestObject.readyState == 4 && XMLHttpRequestObject.status == 200)
	{
		// lecture des donnees du fichier XML.
		var xml = XMLHttpRequestObject.responseXML;
		//var rep = xml.getElementsByTagName('reponse').item(0);
		
		
	}
}

function tache_type_change()
{

}

function tache_idTache_change()
{
	this.idTache = document.getElementById('idTache').value;
}

function tache_nomTache_change()
{
	this.nomTache = document.getElementById('nomTache').value;
}

function tache_descrip_change()
{
	this.tdescription = document.getElementById('tdescription').value;
}

function tache_typeModDef_change()
{

}

function tache_temps_change()
{
	// On verifie si le champs est un entier sinon on lui
	// Affecte la valeur 0
	tempsTache=document.getElementById('tempsTache').value;

	var entier=parseInt(tempsTache);

	if(entier<0)
		document.getElementById('tempsTache').value=0;
	else
		document.getElementById('tempsTache').value=entier;


	if(isNaN(entier)==true)
		document.getElementById('tempsTache').value=0;


}





function tache_edit_donnees_envoie()
{
	// prepare l'envoie des donnees d'une question vers la page php.
	var d = 'idTache='+encodeURIComponent(idTache);
	d += '&nomTache='+encodeURIComponent(nomTache);
	d += '&tdescription='+encodeURIComponent(tdescription);
	d += '&sTypeModaliteDefault='+encodeURIComponent(sTypeModaliteDefault);
	d += '&tempsTache='+encodeURIComponent(tempsTache);
	return d;
}

function tache_valider()
{
	validation = 1;
	tache_edit_envoie_req(tache_edit_donnees_envoie());
}



function tache_retour()
{
  window.location.href = 'index.php';
  return 0;

}	
