<?PHP

include("./config.inc.php");
include("./common_functions.inc.php");
include("./framework/WebControl.php");
include("./framework/Label.php");
include("./framework/CheckBox.php");
include("./framework/DragAndDrop.php");
include("./framework/Liste.php");
include("./framework/Radio.php");
include("./framework/Texte.php");



$debug=true;
$modaliteParDefaut='ENTREECLAVIER';

if(!isset($_POST['modeleTache']))
{
	echo "<div class='warning'>Erreur de Modele de Tache</div></body></html>";
	exit(0);
}


if(!isset($_POST['qcm']))
{
	echo "<div class='warning'>Erreur Mauvais numero QCM</div></body></html>";
	exit(0);
}

$dossier_qcm=$dossier_xml_qcm;
$qcm=$_POST['qcm'];

$chaineReponses="";
if(isset($_POST['repPage']))
{
	$chaineReponses=($_POST['repPage']);
}

/*
* Parcours de l'arbre de tache
* Entree : 
*	$sxml : Noeud de l'arbre XML
*	$indent : Entier permettant de decaler l'affichage pour les sous taches
*	$adminEdit : Permet d'afficher les boutons Modifier et Supprimer
*/
function parcourir_tache($sxml,$dossier_qcm,$qcm,$debug,$modaliteParDefaut){

$indent=$indent+1;

  //Acces aux enfants de l'element courant
  foreach($sxml->children() as $element){
	
	if($element->id!=''){	
		echo "<fieldset>";
		if($debug)
			echo "<legend>".$element->id." : ".$element->nom." (".$element->description.") </legend>";
	
		echo "<div class='contenu'><div id='contenuTache".$element->id."'>";




		echo "</div></div>";

		parcourir_tache($element,$dossier_qcm,$qcm,$debug,$modaliteParDefault);
		echo "</fieldset>";
	}
	
	
      
  }

}








$dossier='./'.$dossier_xml_tache.'/'.$_POST['modeleTache'];
$fichier_xml = simplexml_load_file($dossier.'/tache.xml');
	


$nb_t=count($fichier_xml->task);
$tv=0;
if (isset($_POST['tv']))
	$tv=(int)$_POST['tv'];


$element_pere=$fichier_xml->task[$tv];


$tableauIdTache=array();

//print_r($fichier_xml->task[$tv]);
getListeIdTache($fichier_xml->task[$tv],$tableauIdTache);

$idTache=array();
$idTache[]=$element_pere->id;


$arrayTache0=array_merge($idTache,$tableauIdTache);





	$dossierMetier='./'.$dossier_qcm.'/'.$qcm;
	$fichier_xml_metier = simplexml_load_file($dossierMetier.'/qcm.xml');

	$tableauQuestion=array();
	foreach($arrayTache0 as $tache){
		$tableauContenuTache=array();
		getContenuTache($fichier_xml_metier,$tache,$tableauContenuTache);
		$tableauQuestion=array_merge($tableauQuestion,$tableauContenuTache);
	}



?>


<!-- FEED-BACK UTILISATEUR -->


Temps restant avant la detection des modalites :<input type="text" id="timerDisplay" name="timerDisplay" size="5" value="" />

<div class="cadre">
<p><div class="titreForm">Liste des Modalites disponible sur votre machine :</div><br />

<div id="liste_Modalites_client"></div>
</p>

</div>




<script language="javascript" type="text/javascript">
	<!-- creation du tableau JS ici -->


 	<?PHP echo php2js($arrayTache0,"arrayTache");?>
	<?PHP echo php2js($modaliteDispo,"arrayModaliteServeur");?>
	<?PHP echo php2js($tableauQuestion,"arrayListeQuestions");?>

	tache_voir_init('<?PHP echo $dossier_xml_qcm; ?>','<?PHP echo $_POST['qcm']; ?>','<?PHP echo $_POST['modeleTache'];?>',arrayTache,arrayListeQuestions,arrayModaliteServeur,'<?PHP echo $chaineReponses;?>');
</script>



<?PHP

foreach($arrayTache0 as $idTache){
	
	// Partie Metier
		$tableauContenu=array();
		//$idTache=(String)$element->id;
		$contenu=$qcm;
		
		$dossierMetier='./'.$dossier_qcm.'/'.$qcm;
		$fichier_xml_metier = simplexml_load_file($dossierMetier.'/qcm.xml');
	
		getContenuTache($fichier_xml_metier,$idTache,$tableauContenu);
		foreach($tableauContenu as $numQuestion)
		{
				$contenu=array();
				$contenu=$fichier_xml_metier->question[$numQuestion];
				echo getCode($dossier_qcm,$qcm,$contenu,$numQuestion,'VOIX',1);
		}
}
?>



<br/><br/>
<!-- <input type='button' value='verifier arrivee Modalite' onclick='javascript:creer_tableau_modalite();'/> -->


<center>

	<div id="titreQCM">Questionnaire : <?PHP echo $_POST['titre']; ?></div>






	<div class="Warning"><div id="MessageUtilisateur"></div></div>

	<div class="cadre">

 <form xmlns="http://www.w3.org/2001/vxml" id="TaskPresentation">
   <block>
	<prompt>
		Please fill in the form corresponding to the task <?PHP echo $element_pere->id;?>
	</prompt>
   </block>
 </form>


<button ev:event="click" ev:handler="#TaskPresentation">Lancer la voix</button>



			<div class="titreForm"><div id="t_titre">Tache <?PHP echo ($tv+1)."/".$nb_t;?> :</div></div>
			<br /><hr /><br />
			<div class="desc_cadre">
			
				<?PHP 
					echo "<fieldset>";

					if($debug)
						echo "<legend>".$element_pere->id." : ".$element_pere->nom." (".$element_pere->description.") </legend>";
					echo "<div class='contenu'><div id='contenuTache".$element_pere->id."'>";

					echo "</div></div>";
					parcourir_tache($element_pere,$dossier_qcm,$qcm,$debug,$modaliteParDefaut);
					echo "</fieldset>";		
				?>
			<br />
			</div>
	</div>

</center>
<center>
<table>
	<tr>
<!--
	<td>		
	
	<form name='precedentTache' method='POST' action='<?PHP echo $_SERVER['PHP_SELF']."?".$_SERVER["QUERY_STRING"]; ?>'>
			<input type='hidden' name='qcm' value='<?PHP echo $_POST['qcm']; ?>' />
			<input type='hidden' name='modeleTache' value='<?PHP echo $_POST['modeleTache'];?>' />
			<input type='hidden' name='titre' value='<?PHP echo $_POST['titre'];?>' />
			<input type='hidden' name='tv' value='<?PHP echo ($tv-1); ?>' />

			<?PHP
				$disabled="";
				if($tv<1) 
					$disabled="disabled='disabled'"; 
			?>
			<input type="submit" id="t_voir_bout_prec" value="Precedent" <?PHP echo $disabled; ?> />
			
		</form>
	</td>

-->
	<td>
		<form name='suivantTache' method='POST' action='<?PHP echo $_SERVER['PHP_SELF']."?".$_SERVER["QUERY_STRING"];?>'>
			<input type='hidden' name='qcm' value='<?PHP echo $_POST['qcm']; ?>' />
			<input type='hidden' name='modeleTache' value='<?PHP echo $_POST['modeleTache']; ?>' />
			<input type='hidden' name='titre' value='<?PHP echo $_POST['titre']; ?>' />
			<input type='hidden' name='tv' value='<?PHP echo ($tv+1); ?>' />


			<input type='hidden' name='repPage' id='repPage' value="<?PHP echo $chaineReponses; ?>"/>
		

			<?PHP
				$disabled2="";
				if($tv>=($nb_t-1)) 
					$disabled2="disabled='disabled'"; 
			?>

			<input type="submit" id="t_voir_bout_suiv" value="Suivant"  onClick="javascript:t_voir_enregRep();" <?PHP echo $disabled2; ?> />
		</form>
	</td>







	<td>		
	
	<form name='finirTache' method='POST' action='./index.php?id=metier3'>
			<input type='hidden' name='qcm' value='<?PHP echo $_POST['qcm']; ?>' />
			<input type='hidden' name='modeleTache' value='<?PHP echo $_POST['modeleTache'];?>' />
			<input type='hidden' name='titre' value='<?PHP echo $_POST['titre'];?>' />
			<input type='hidden' name='tv' value='<?PHP echo ($tv-1); ?>' />
			<input type='hidden' name='nbQuestions' value='<?PHP echo getNbQuestions($dossier_qcm,$_POST['qcm']);?> '/>
			<input type='hidden' name='repForm' id='repForm' value="<?PHP echo $chaineReponses; ?>"/>
		
			<?PHP
				$disabled="";
				if($tv!=$nb_t-1) 
					$disabled="disabled='disabled'"; 
			?>
			<input type="submit" id="t_voir_fini" value="Finir" <?PHP echo $disabled; ?> />
			
		</form>
	</td>




	<td>
		<form>
			<input type="submit" id="t_voir_bout_ret" value="Retour" onClick="javascript:t_voir_retour();" />
		</form>
	</td>



	</tr>
</table>
</center>