<?PHP
include("../config.inc.php");

include("../common_functions.inc.php");
include("./tache_fonctionsUtiles.php");



//print_r($_POST);
//print_r($_GET);

if (isset($_POST['modeleTache']))
{
	$dossier='../'.$dossier_xml_tache.'/'.$_POST['modeleTache'];

	// Chargement du modele de Tache
	$dom = new DomDocument('1.0', 'ISO-8859-1');
	$dom->load($dossier.'/tache.xml');

	if (isset($_POST['supprimer']))
	{
		
	
		// On supprime simplement la tache selectionnee par son id
		// Suppression a l'aide des fonctions DomXML	
	
		
	
		$listeTache = $dom->getElementsByTagName("task");
		foreach($listeTache as $tache)
		{
	
			$ids=$tache->getElementsByTagName('id');
			$id=$ids->item(0);
			
			if($id->nodeValue==$_POST['idTache']){
				$pere=$tache->parentNode;
				$oldtache=$pere->removeChild($tache);
			}
		}
	}


	else
	{


		// Recuperation de la liste des taches
		$listeIdTaches=array();
		$items = $dom->getElementsByTagName('id');

		for ($i = 0; $i < $items->length; $i++) {
			$listeIdTaches[]=$items->item($i)->nodeValue;
		}
		
		

		if (isset($_POST['modifier']) && $_POST['modifier']=="modifier" && in_array($_POST['idTache'],$listeIdTaches))
		{


			// On modifie simplement la tache selectionnee par son id
			// Suppression a l'aide des fonctions DomXML	
		
			$listeTache = $dom->getElementsByTagName("task");
			foreach($listeTache as $tache)
			{
		
				$ids=$tache->getElementsByTagName('id');
				$id=$ids->item(0);
				
				if($id->nodeValue==$_POST['idTache']){


					// Modification de chaque champs
					$noms=$tache->getElementsByTagName('nom');
					$nom=$noms->item(0);
					$nom->nodeValue=encode($_POST['nomTache']);

					$descriptions=$tache->getElementsByTagName('description');
					$description=$descriptions->item(0);
					$description->nodeValue=encode($_POST['tdescription']);


					$TypeModaliteDefaults=$tache->getElementsByTagName('TypeModaliteDefault');
					$TypeModaliteDefault=$TypeModaliteDefaults->item(0);
					$TypeModaliteDefault->nodeValue=encode($_POST['sTypeModaliteDefault']);


					$tempsTaches=$tache->getElementsByTagName('tempsTache');
					$tempsTache=$tempsTaches->item(0);
					$tempsTache->nodeValue=encode($_POST['tempsTache']);
					


					//suppression des noeuds existants de Modalite
					
					$modalitesTache=$tache->getElementsByTagName('modalite');
					$modaliteTache=$modalitesTache->item(0);

					$lstmodTache=$modaliteTache->getElementsByTagName('modaliteTache');



					for ($i = 0; $i < $lstmodTache->length; $i++) {
    						$oldtache=$modaliteTache->removeChild($lstmodTache->item($i));
					}

					// ajout des noeuds de Modalites

					if(isset($_POST['lst_droite'])){
						$lstModaliteTache=array();
						$lstModaliteTache=$_POST['lst_droite'];
						for ($i=0;$i<count($lstModaliteTache);$i++)
						{
						
						$modAjoute=$dom->createElement("modaliteTache",encode($lstModaliteTache[$i]));
						$ordre=$i+1;
						$modAjoute->setAttribute("ordre",$ordre);
	
						
						$tacheModaliteAjoutee=$modaliteTache->appendChild($modAjoute);
						}
					}
					

				}
			}



		}
		else
		{
			// Ajout de la tache dans l'arbre
			if(!in_array($_POST['idTache'],$listeIdTaches)){
			
				// on cree un noeud avec les donnees envoyees.			
	
				$root=$dom->documentElement;
				// creation d'un noeud temporaire
				$nouvelleTache = $dom->createElement('task');
						
				// Si on a une tache parente on ajoute au bon endroit
				if($_POST['sTache']!="Aucune")
				{
					
					// On ajoute au bon endroit le noeud
					$listeTache = $dom->getElementsByTagName("task");

					foreach($listeTache as $tache)
					{
				
						$ids=$tache->getElementsByTagName('id');
						$id=$ids->item(0);
						
						if($id->nodeValue==$_POST['sTache']){
							$pere=$tache->parentNode;
							// Accrochage du noeud a l'arbre XML
							
							$tacheAjoutee=$tache->appendChild($nouvelleTache);
							
						}
					}
				}
	
				else
				{
					// Accrochage du noeud a l'arbre XML
					$tacheAjoutee=$root->appendChild($nouvelleTache);
				}

						
				// Ajout de toutes les informations dans l'arbre XML (Creation du noeud
				// Et accrochage sur le fichier XML
				$idAjoute=$dom->createElement("id",encode($_POST['idTache']));
				$tacheidAjoutee=$tacheAjoutee->appendChild($idAjoute);
				
	
				$nomAjoute=$dom->createElement("nom",encode($_POST['nomTache']));
				$tacheNomAjoutee=$tacheAjoutee->appendChild($nomAjoute);
				

				$descAjoute=$dom->createElement("description",encode($_POST['tdescription']));
				$tacheDescAjoutee=$tacheAjoutee->appendChild($descAjoute);
				
	
				$modDefAjoute=$dom->createElement("TypeModaliteDefault",encode($_POST['sTypeModaliteDefault']));
				$tachemodDefAjoutee=$tacheAjoutee->appendChild($modDefAjoute);
				
	
				$tempsAjoute=$dom->createElement("tempsTache",encode($_POST['tempsTache']));
				$tacheTpsAjoutee=$tacheAjoutee->appendChild($tempsAjoute);
				

				$modaliteAjoute=$dom->createElement("modalite");
				$tacheModaliteAjoutee=$tacheAjoutee->appendChild($modaliteAjoute);
				


				$lstModaliteTache=array();
				$lstModaliteTache=$_POST['lst_droite'];
				for ($i=0;$i<count($lstModaliteTache);$i++)
				{
					
				$modAjoute=$dom->createElement("modaliteTache",encode($lstModaliteTache[$i]));
				$ordre=$i+1;
				$modAjoute->setAttribute("ordre",$ordre);
				$tachelstModaliteAjoutee=$tacheModaliteAjoutee->appendChild($modAjoute);
				}
			}

		}

	}

	
	//print $dom->saveXML();
	// Sauvegarde du fichier XML modifie
	$dom->save($dossier.'/tache.xml');


	//$parametres="modeleTache=".$_POST['modeleTache']."&adminEdit=1";
	//header('location: ../index.php?id=tache3&idTache=0&'.$parametres);
}
?>