<?php 
header('Content-Type: application/xhtml+voice+xml; charset=ISO-8859-1');
session_start();
?>
<?xml version="1.0" encoding="ISO-8859-1"?>

<?PHP

include("./config.inc.php");
include("./authentification/connexion.php");
include("./loggueur/Log.php");


//include("./debug.php");

include("./ModeleTache/tache_fonctionsUtiles.php");
include("./metier/metier_interface.php");

include("./layout/templates/presentation.php");





/////////////////////////////////////////////////////////////////////////////
////    index
////	V 1.0
////    Page d'accueil de l'application
////
////	Parametres GET:
////	- N/A
////
////	Parametres GET:
////	- N/A
////
////    Historique:
////    30/03/2006  Olivier Cremetz
/////////////////////////////////////////////////////////////////////////////



if(connexion_isConnected())
	$admin=1;


//Creation d'un fichier log
$log=new Log("./log/log".date("Ymd").".log");
// Pour logguer un message :
//$log->message("Message Loggue\n");


?>


<!DOCTYPE html PUBLIC "-//VoiceXML Forum//DTD XHTML+Voice 1.2//EN" "http://www.voicexml.org/specs/multimodal/x+v/12/dtd/xhtml+voice12.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:vxml="http://www.w3.org/2001/vxml" xmlns:NS1="http://www.w3.org/2001/xml-events" xmlns:ev="http://www.w3.org/2001/xml-events" xmlns:xv="http://www.voicexml.org/2002/xhtml+voice">


<head>
<meta http-equiv="Content-Type" content="application/xhtml+voice+xml; charset=ISO-8859-1" />

	<title>Prototype Multimodal X+V</title>
	<link rel="stylesheet" type="text/css" href="./layout/css/style.css" />

	
	<!-- Scripts generiques -->
	<script language="javascript" type="text/javascript" src="./scripts/scripts.js"></script>
	<script language="javascript" type="text/javascript" src="./scripts/scriptsListeLiees.js"></script>

	<script language="javascript" type="text/javascript" src="./scripts/dragquiz.js"></script>

	<!-- Scripts du Modele de Tache -->
	<script language="javascript" type="text/javascript" src="./ModeleTache/scripts/scriptsTache.js"></script>
	<script language="javascript" type="text/javascript" src="./ModeleTache/scripts/scriptsVoirTache.js"></script>

	<!-- Scripts Metiers -->
	<script language="javascript" type="text/javascript" src="./metier/scripts/scriptsQCM.js"></script>
	<script language="javascript" type="text/javascript" src="./metier/scripts/scriptsVoirQCM.js"></script>

</head>

<body>



 <form xmlns="http://www.w3.org/2001/vxml" id="sayHello">
   <block>
	<prompt>
		Bienvenue sur l'application Prototype Multimodal
	</prompt>
   </block>
 </form>


<button ev:event="click" ev:handler="#sayHello">Bienvenue</button>

<!-- Titre de l'application -->
<center>
<table>
	<tr>
		<td  class="titre"> Questionnaire Multimodal </td>
		<td class="liens"><?PHP get_footer_html($chemin_images);?></td>
	</tr>
</table>


<!-- Affichage de l'ecran de connexion ou de deconnexion -->
<?PHP
if(isset($_GET['err']) && $_GET['err']==1)
	echo "<div class='warning'>Mot de passe invalide</div>";
echo connexion_getHTML();
?>
</center>

<!-- Permet de debugger l'application-->
<div id="Message"></div>



<br/><br/><br/>

<?PHP if($admin==1) include("./ModeleTache/tache_menu.php"); ?>

<?PHP include("./metier/metier_menu.php"); ?>




<br/><br/><br/>

<!-- Pied de page -->

<?PHP get_logos_html($chemin_logos);?>
</body>
</html>
