<?php


class Liste extends WebControl
{

 var $isMultiple;

 function __construct($id,$nom,$valeurs,$classCSS,$isMultiple)
  {
	$this->id=$id;
	$this->nom=$nom;
	$this->valeurs=$valeurs;
	$this->classCSS=$classCSS;
	$this->isMultiple=$isMultiple;
  }

  public function getCode()
  {
	$code='';
	

	$code.="<SELECT ";
	if($this->isMultiple==true)
		$code.="MULTIPLE='multiple' size='5' ";

	
	$code.=" name='".$this->nom;
	if($this->isMultiple==true)
		$code.="[]";

	$code.="' id='".$this->id."' class='".$this->classCSS."' >";


	for ($i=0;$i<count($this->valeurs);$i++)
		$code.="<option value='".$this->valeurs[$i]."'>".$this->valeurs[$i]."</option>";
	$code.="</SELECT>";
	return $code;
  } // end of member function getCode




  public function getCodeVoiceXml()
	{
		$code="";
		$chaineReponses="";
		$i=0;
		foreach($this->valeurs as $valeur){
			$chaineReponses.=$valeur;
			if($i < (count($this->valeurs)-1) )
				$chaineReponses.=" | ";
			$i++;
		}



      $code.="<vxml:field xv:id='field_".$this->nom."' name='field_".$this->nom."'>";

      $code.="<vxml:grammar>";
	$code.=" <![CDATA[ #JSGF V1.0; grammar m_name;public <m_name> = ".$chaineReponses." ;]]>";
	$code.="</vxml:grammar>";
             
      $code.="	   <vxml:prompt> "."Please Enter the response. "."</vxml:prompt>";

      $code.='      <vxml:prompt xv:src="#'.$this->id.'_label"/>';
      $code.='      <vxml:catch event="help nomatch noinput" >';
      $code.='              Sorry I did not understand. <reprompt/> ';
      $code.='		</vxml:catch>';

      $code.='</vxml:field>';
	$code.='<vxml:filled>Your choice. <value expr="field_'.$this->id.'"/>';


	$code.='</vxml:filled>';
		
		return $code;
	}




  public function getCodeVoice()
  {
	
	$chaineReponses="";
	$i=0;
	foreach($this->valeurs as $valeur){
		$chaineReponses.=$valeur;
		if($i < (count($this->valeurs)-1) )
			$chaineReponses.=", ";
		$i++;
	}

	$code.='  <xv:sync xv:input="'.$this->nom.'" xv:field="#field_'.$this->id.'" xv:html-form-id="#Form_'.$this->id.'"/>';

      $code.='     <label id="'.$this->id.'_label">  The choice could be made following these different values. '.$chaineReponses.'.';
      $code.='     <br/>Reponse. ';  
      $code.='     </label><br/><br/> ';

	$code.="<select ";
	if($this->isMultiple==true)
		$code.="MULTIPLE='multiple' size='5' ";

	
	$code.=" name='".$this->nom;
	if($this->isMultiple==true)
		$code.="[]";

	$code.="' id='".$this->id."' class='".$this->classCSS."' >";


	for ($i=0;$i<count($this->valeurs);$i++)
		$code.="<option value='".$this->valeurs[$i]."'>".$this->valeurs[$i]."</option>";
	$code.="</select>";
	return $code;

}

} // end of Liste
?>
