<?PHP
include("./config.inc.php");
include("./common_functions.inc.php");

$debug=true;


if(!isset($_POST['modeleTache']))
{
	echo "Erreur de Modele de Tache";
	exit(0);
}


if(!isset($_POST['qcm']))
{
	echo "Erreur Mauvais numero QCM";
	exit(0);
}

$dossier_qcm=$dossier_xml_qcm;
$qcm=$_POST['qcm'];

/*
* Affiche Contenu
*
*
*/

function affiche_contenu($sxml,$idTache,$dossier_qcm,$qcm){
	$tableauContenu=Array();
	getContenuTache($tableauContenu,$idTache,$dossier_qcm,$qcm);
	//print_r($tableauContenu);

	foreach($tableauContenu as $contenu)
		affichageContenu($dossier_qcm,$qcm,$contenu,0);
}


/*
* Parcours de l'arbre de tache
* Entrée : 
*	$sxml : Noeud de l'arbre XML
*	$indent : Entier permettant de décaler l'affichage pour les sous taches
*	$adminEdit : Permet d'afficher les boutons Modifier et Supprimer
*/
function parcourir_tache($sxml,$dossier_qcm,$qcm,$debug){

$indent=$indent+1;

  //Accès aux enfants de l'élément courant
  foreach($sxml->children() as $element){
	
	if($element->id!=''){	
		echo "<fieldset>";
		if($debug)
			echo "<legend>".$element->id." : ".$element->nom." (".$element->description.") </legend>";
		affiche_contenu($element,$element->id,$dossier_qcm,$qcm);
		parcourir_tache($element,$dossier_qcm,$qcm,$debug);
		echo "</fieldset>";
	}
	
	
      
  }

}







$arrayTache0=array();
$dossier='./'.$dossier_xml_tache.'/'.$_POST['modeleTache'];
$fichier_xml = simplexml_load_file($dossier.'/tache.xml');
	
getListeIdTache($fichier_xml,$arrayTache0);

$nb_t=count($fichier_xml->task);
$tv=0;
if (isset($_POST['tv']))
	$tv=(int)$_POST['tv'];


$idTache=$arrayTache0[$tv];

$element_pere=$fichier_xml->task[$tv];
	

?>







<!--
<script language="javascript">
-->
	<!-- création du tableau JS ici -->
<!--
 	<?php //echo php2js($arrayTache0,"arrayTache");?>
	//tache_voir_init('<?=$dossier_xml_qcm?>','<?=$_POST['modeleTache']?>',arrayTache);
</script>
-->


<form>
<center>

	<div id="titreQCM">Questionnaire : <?=$_POST['titre']?></div>







	<div class="Warning"><div id="MessageUtilisateur"></div></div>

	<div class="cadre">
			<div class="titreForm"><div id="t_titre">Tache <? echo ($tv+1)."/".$nb_t;?> :</div></div>
			<br /><hr /><br />
			<div class="desc_cadre">
			
				<?PHP 
					echo "<fieldset>";

					if($debug)
						echo "<legend>".$element_pere->id." : ".$element_pere->nom." (".$element_pere->description.") </legend>";

					affiche_contenu($element_pere,$element_pere->id,$dossier_qcm,$qcm);
					parcourir_tache($element_pere,$dossier_qcm,$qcm,$debug);
					echo "</fieldset>";		
				?>
			<br />
			</div>
	</div>
</form>

<table>
<div class="boutons">
	<tr>

	<td>		
		
		<form name='precedentTache' method='POST' action='<? echo $_SERVER['PHP_SELF']."?".$_SERVER["QUERY_STRING"]; ?>'>
			<input type='hidden' name='qcm' value='<?=$_POST['qcm'];?>'>
			<input type='hidden' name='modeleTache' value='<?=$_POST['modeleTache'];?>'>
			<input type='hidden' name='titre' value='<?=$_POST['titre']?>'>
			<input type='hidden' name='tv' value='<?=($tv-1);?>'>

			<? 
				$disabled="";
				if($tv<1) 
					$disabled="disabled"; 
			?>
			<input type="submit" id="t_voir_bout_prec" value="Pr&eacute;c&eacute;dent" onClick="javascript:t_voir_prec();" <?=$disabled?> />
		</form>
	</td>
	<td>



		<form name='suivantTache' method='POST' action='<? echo $_SERVER['PHP_SELF']."?".$_SERVER["QUERY_STRING"];?>'>
			<input type='hidden' name='qcm' value='<?=$_POST['qcm'];?>'>
			<input type='hidden' name='modeleTache' value='<?=$_POST['modeleTache']?>'>
			<input type='hidden' name='titre' value='<?=$_POST['titre']?>'>
			<input type='hidden' name='tv' value='<?=($tv+1);?>'>


			<? 
				$disabled2="";
				if($tv>=($nb_t-1)) 
					$disabled2="disabled"; 
			?>

			<input type="submit" id="t_voir_bout_suiv" value="Suivant"  onClick="javascript:t_voir_suiv();" <?=$disabled2?> />
		</form>
	</td>
	<td>
		
			<input type="submit" id="t_voir_bout_val" value="Valider" onClick="javascript:t_voir_valider();" />
		</form>
	</td>
	<td>
		<form>
			<input type="submit" id="t_voir_bout_ret" value="Retour" onClick="javascript:t_voir_retour();" />
		</form>
	</td>
</div>
</table>

</center>