/* Script utilisant Ajax */

// Variables globales.
var xml_dossier_contenu = '';
var contenu = ''; // Dossier contenant le qcm en cours
var modeleTache = ''; // Dossier du modele de Tache associe au qcm
var tableauTache=new Array(); // Tableau des taches de la page
var tableauContenu=new Array(); // Tableau des contenus de la page

var tableauQFini=new Array(); // Indique si la question est remplie
var tableauReponses=new Array(); //
var chaineDeReponse="";

var nb_t = 0; // nombre de tache.de la page
var tv = 0; // numero de la tache actuelle.
var fini = 0; // indique si le QCM est termine (affichage du corrige)


 var modalitesServeur=new Array(); // Tableau contenant les modalites offertes par le serveur
 var modalitesClient=new Array(); // Tableau de modalites offertes sur le poste client
 modalitesClient[0]='ENTREECLAVIER';

 var oldModalitesClients=new Array();
var http_requestTache='';

var codeXML='';

var verrou=0;

var debug=false;


var running = false;
var endTime = null;
var timerID = null;


var delaiDecouverte=500;

// ----------------------------- PARTIE TIMER --------------------------------- 


function startTimer() {

	running = true;
	now = new Date();
	now = now.getTime();
	endTime = now + (delaiDecouverte * 60 * 1);
	showCountDown();
}


function showCountDown() {
	var now = new Date();
	now = now.getTime();
	if (endTime - now <= 0) {

		stopTimer();
		//alert("Declanchement de la decouverte.");
		declancheDecouverte();
	} else {
		var delta = new Date(endTime - now);
		var theMin = delta.getMinutes();
		var theSec = delta.getSeconds();
		var theTime = theMin;

		theTime += ((theSec < 10) ? ":0" : ":") + theSec;
		document.getElementById('timerDisplay').value = theTime;
		if (running) {
			timerID = setTimeout("showCountDown()",delaiDecouverte);
		}

	}
}

function stopTimer() {
	clearTimeout(timerID);
	running = false;
	document.getElementById('timerDisplay').value = "0:00";
}



// ----------------------------- PARTIE REMPLISSAGE TACHE --------------------------------- 



function tache_voir_init(dossier_xml_contenu,dossier_contenu,dossier_tache,arrayTache,arrayListeContenu,arrayModaliteServeur,chaineReponses)
{

	xml_dossier_contenu=dossier_xml_contenu;
	contenu=dossier_contenu;
	
	this.nb_t=arrayTache.length;
	this.codeXML='';
	this.modeleTache = dossier_tache;
	this.tableauTache=arrayTache;
	this.tableauContenu=arrayListeContenu;
	this.modalitesServeur=arrayModaliteServeur;
	
	oldModalitesClients=modalitesClient;
	creer_tableau_modalite();
	var chaineModalites=construitChaine(modalitesClient,"modalitePossibleClient[]");
	var chaineQFinie=construitChaine(tableauQFini,"tableauQFini[]");
	this.chaineDeReponse=chaineReponses;

	document.getElementById('liste_Modalites_client').innerHTML=modalitesClient.toString();

	startTimer();
	t_voir_envoie_req('idTache='+arrayTache[0]+'&modeleTache='+modeleTache+'&contenu='+contenu+'&'+chaineQFinie+'&'+chaineModalites);
	
}



function t_voir_envoie_req(req)
{
	// creation du XMLHttpRequest et envoie d'une requete.
	if (window.XMLHttpRequest)
	{
		http_requestTache = new XMLHttpRequest();
		if (http_requestTache.overrideMimeType) http_requestTache.overrideMimeType('text/xml');
	}
	else if (window.ActiveXObject)
	{
		try { http_requestTache = new ActiveXObject("Msxml2.XMLHTTP") }
		catch (e)
		{
			try { http_requestTache = new ActiveXObject("Microsoft.XMLHTTP") }
			catch (e) {}
		}
	}
	if (!http_requestTache) alert('Erreur : Impossible d&#039;initialiser XMLHttpRequest.');

	http_requestTache.onreadystatechange = t_voir_reception;
	http_requestTache.open('POST', './ModeleTache/tache_voirMetier.php', true);
	http_requestTache.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	http_requestTache.send(req);
}








function parcoursTache(xml)
{
	var idTache,TypeModaliteDefault,tempsTache,code;

	if (xml.childNodes[0].firstChild) 
		idTache = xml.childNodes[0].firstChild.data;
	else 
		idTache = '';



	if (xml.childNodes[1].firstChild){}
	

	if (xml.childNodes[2].firstChild) 
		TypeModaliteDefault = xml.childNodes[2].firstChild.data;
	else 
		TypeModaliteDefault = '';

	if (xml.childNodes[3].firstChild) 
		tempsTache = xml.childNodes[3].firstChild.data;
	else 
		tempsTache = '';


	codeXML='';

	//traverse(xml.childNodes[4]);



	var metier=xml.childNodes[4].firstChild;
	//codeXML+=(new XMLSerializer()).serializeToString(metier);


	var html = "";
	if(debug)
		html += idTache+' : '+TypeModaliteDefault+" sur "+tempsTache+" Secondes ";
	html +='<br/>'+codeXML;
	//alert(html);

	if(xml.childNodes[4].hasChildNodes()){
		
		var champs='contenuTache'+idTache;
		document.getElementById(champs).innerHTML="";
		document.getElementById(champs).appendChild(xml.childNodes[4].firstChild);
		
	}
	
}



function t_voir_reception()
{
	if (http_requestTache.readyState == 4 && http_requestTache.status == 200)
	{
		var fichierxmlTache = http_requestTache.responseXML;
		if (fini != 1) 
		{
			var xmlTache;
			var noeudTache=fichierxmlTache.getElementsByTagName('task');
			var size=noeudTache.length;
			for(var i=0;i<size;i++){
				xmlTache = fichierxmlTache.getElementsByTagName('task').item(i);
				if(xmlTache!=null){
					parcoursTache(xmlTache);
				}
			}

		}
	}
}







// ----------------------------- PARTIE VERROU TACHE --------------------------------- 


// Confirmation du choix de la modalite
function confirmModalite(chaineListeModalites){
	if(confirm("Nouvelle liste de Modalites\n"+chaineListeModalites+"\nAcceptez-vous cette nouvelle liste de modalite ? "))
	{
		return true;
	}
	return false;
}



// Pose de Verrou de decouverte de modalite 
function addVerrou(){
	verrou++;
	stopTimer();
	document.getElementById('liste_Modalites_client').innerHTML=modalitesClient.toString()+'<br/><div class="warning">Le verrou est pose</div>';

}


// On relache le Verrou de decouverte de modalite 
function delVerrou(){
	if (verrou>0)
	{
		verrou--;
	}
	if (verrou == 0)
	{
		startTimer();
		declancheDecouverte();
		
	}
}





function declancheDecouverte(){



		// On relance la decouverte de modalite

		document.getElementById('liste_Modalites_client').innerHTML=modalitesClient.toString()+'<br/><div class="warning">Le verrou est relache</div>';

		// On regarde si la liste des modalites a change
		if(creer_tableau_modalite()){
			// On confirme
			if (confirmModalite(modalitesClient.toString()))
			{
		var chaineModalites=construitChaine(modalitesClient,"modalitePossibleClient[]");
		var chaineQFinie=construitChaine(tableauQFini,"tableauQFini[]");

		document.getElementById('liste_Modalites_client').innerHTML=modalitesClient.toString()+'<br/><div class="warning">Le verrou est relache</div>';
		//alert(tableauQFini.toString());
t_voir_envoie_req('idTache='+arrayTache[0]+'&modeleTache='+modeleTache+'&contenu='+contenu+'&'+chaineQFinie+'&'+chaineModalites);
			}
		}
		startTimer();
		
}


// ---------------------------------- PARTIE VALIDATION DES REPONSES --------------------------------------- 





function t_voir_valider(form,type,numQuestion)
{

	//alert(form+" "+type);
	var formulaire=document.getElementById(form);
	var chaineReponses="";
	switch(type)
	{
		case 'radio':
		
			
			var champQuestion='reponses'+numQuestion;
			var reponse="";
	
			var rep=formulaire[champQuestion];

			for(var i=0;i<rep.length;i++){
				if(rep[i].checked){
					reponse=rep[i].value;				
					chaineReponses=champQuestion+"="+reponse;
				}
			}
				

		break;
		case 'CheckBox':

			var champQuestion='reponses'+numQuestion;
			var rep=formulaire[champQuestion];

			reponse=new Array();
			var j=0;
			for(var i=0;i<rep.length;i++){
				if(rep[i].checked){
					reponse[j]=rep[i].value;			
					if(j>0){
						chaineReponses+=",";
					}
					chaineReponses+=champQuestion+"="+reponse[j];
					j++;
				}
			}
			//alert(reponse.toString());	



		break;

		case 'select':
	
			var champQuestion='reponses'+numQuestion;
			var rep=formulaire[champQuestion];

			reponse=rep.options[rep.selectedIndex].value;
			chaineReponses=champQuestion+"="+reponse;

		break;

		case 'Drag and drop':

		break;

		case 'selectMultiple':
			var champQuestion='reponses'+numQuestion;
			var rep=formulaire[champQuestion];

			reponse=new Array();
			var j=0;
			for (var i=0; i<(rep.options.length); i++)
			{
				if(rep.options[i].selected){
					reponse[j]=rep[i].value;				
					if(j>0){
						chaineReponses+=",";
					}
					chaineReponses+=champQuestion+"="+reponse[j];

					j++;
				}
			}
		break;
	
		case 'Texte':
			var reponse="";
	
			var champQuestion='reponses'+numQuestion;
			var rep=formulaire[champQuestion];
			reponse=rep.value;
			chaineReponses=champQuestion+"="+reponse;
		break;

	}
	if(chaineDeReponse=="")
		chaineDeReponse=chaineReponses;
	else
		chaineDeReponse+=','+chaineReponses;

	tableauQFini[tableauQFini.length]=numQuestion;
	tableauReponses[numQuestion]=reponse;
	t_voir_enregRep();
	formulaire.innerHTML='<div class="warning">completed</div>';
}





// ---------------------------------- PARTIE RECUPERATION DES MODALITES --------------------------------------- 



function recupere_tableau_modalite()
{
	var http_requestModalite='';
	var xmlDoc='';
	var listemodalite=new Array;
	// creation du XMLHttpRequest et envoie d'une requete.
	if (window.XMLHttpRequest)
	{
		http_requestModalite = new XMLHttpRequest();
		if (http_requestModalite.overrideMimeType) http_requestModalite.overrideMimeType('text/xml');

		if (!http_requestModalite) alert('Erreur : Impossible d&#039;initialiser XMLHttpRequest.');

		http_requestModalite.open('GET', './modalites.xml', false);

		http_requestModalite.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
		http_requestModalite.send(null);
		xmlDoc=http_requestModalite.responseXML;
	        xmlDoc.async = false; // synchrone

	}
	else if (window.ActiveXObject)
	{
		xmlDoc = new ActiveXObject("Msxml2.DOMDocument"); //cre un nouvel objet Msxml2.DOMDocument       
        	xmlDoc.async = false; // synchrone
       		xmlDoc.load('C:\TEMP\modalites.xml'); // charge le XML
	}
	if (http_requestModalite.readyState == 4 && http_requestModalite.status == 200)
	{

		
		var noeudMod=xmlDoc.getElementsByTagName('modalite');
		var size=noeudMod.length;
		var alert="Je decouvre la nouvelle liste de modalites : ";
		for(var j=0;j<size;j++){
			listemodalite[j] = noeudMod.item(j).firstChild.data;
			alert+=listemodalite[j]+",";
		}

	}
	//print_r(listemodalite);
	return listemodalite;
}


function creer_tableau_modalite(){
	//Recuperation a partir du fichier

	oldModalitesClients=modalitesClient;

	var modalitesRecuperees=recupere_tableau_modalite();
	var modalitesRecupereesVerif=tableauVerification(modalitesRecuperees);
	
	// On retire les modalites si elles ne sont pas recuperees

	var sizeModalitesClient=modalitesClient.length;
	for(var k=0;k<sizeModalitesClient;k++)
	{
		if(!in_array(modalitesRecupereesVerif,modalitesClient[k])){
			//alert("retrait de la modalite"+modalitesClient[k]);
			modalitesClient=remove(modalitesClient,modalitesClient[k]);
		}
	}



	// on ajoute les modalites si elles ne sont pas presentes
	var size=modalitesRecupereesVerif.length; 
	for(var j=0;j<size;j++){
		if(!in_array(modalitesClient,modalitesRecupereesVerif[j])){
			modalitesClient=add(modalitesClient,modalitesRecupereesVerif[j]);
			//alert("ajout de la modalite"+modalitesRecupereesVerif[j]);
		}
	}	

	var fichieraChange=fichierhasChanged(oldModalitesClients,modalitesClient);

	
	return fichieraChange;

}

function fichierhasChanged(tableau1,tableau2){
	if(tableau1.length!=tableau2.length)
		return true;
	var size=tableau1.length;
	for(var i=0;i<size;i++){
		if(tableau1[i]!=tableau2[i])
			return true;
	}
	return false;
}



// ------------------------------ fonctions specifique a la gestion des tableaux -------------------------------------
function in_array(tableau,valeur){
	var taille=tableau.length;
	for(var i=0;i<taille;i++)
	{
		if(tableau[i]==valeur)
			return true;
	}
	return false;
}

function add(tableau,valeur){
	var tableauRetour=new Array;
	var taille=tableau.length;
	for(var i=0;i<taille;i++)
	{
		tableauRetour[i]=tableau[i];
	}
	
	tableauRetour[taille]=valeur;
	return tableauRetour;
}

function remove(tableau,valeur){
	var tableauRetour=new Array;
	var taille=tableau.length;
	for(var i=0;i<taille;i++)
	{
		if(tableau[i]!=valeur)
			tableauRetour[tableauRetour.length]=valeur;
	}
	return tableauRetour;
}

// retourne le tableau contenant les modalites possibles
function tableauVerification(tableau)
{
	var tableauVerifie=new Array;
	var taille=tableau.length;
	for(var i=0;i<taille;i++)
	{
		if(in_array(modalitesServeur,tableau[i]))
		{
				tableauVerifie[tableauVerifie.length]=tableau[i];
		}
			
	}
	return tableauVerifie;
}



function construitChaine(tableau,nomParametre)
{
	var taille=tableau.length;
	var chaine="";


	for (var i=0;i<taille;i++)
	{
		if(i>0)
			chaine+="&";
		chaine+=nomParametre+"="+tableau[i];
	}
	return chaine;
}


function t_voir_enregRep()
{
	document.getElementById('repPage').value=chaineDeReponse;
	document.getElementById('repForm').value=chaineDeReponse;

}	

function t_voir_retour()
{
	window.location.href = 'index.php';
}	