<?PHP
header('Content-Type: application/xhtml+voice+xml; charset=ISO-8859-1');

include("../config.inc.php");
include("../metier/metier_interface.php");

include("../ModeleTache/tache_fonctionsUtiles.php");

include("../framework/WebControl.php");
include("../framework/Label.php");
include("../framework/CheckBox.php");
include("../framework/DragAndDrop.php");
include("../framework/Liste.php");
include("../framework/Radio.php");
include("../framework/Texte.php");




/* 
* Donnees envoyees.
* Cette page peut envoyer les donnees metier au script cote client.
* L'id de la tache dont il faut envoyer les donnees est contenu dans la variable idTache.
* Les donnees seront envoyer sous la forme d'un fichier xml. 
* Si le client ne demande pas de donnees ($_POST['idTache'] n'existe pas),on renvoie un fichier xml vide. 
*/




if ( isset($_POST['idTache']) && isset($_POST['modeleTache']) && isset($_POST['contenu']) )
{
	
	
	// on recherche les donnees correspondant a la tache voulue.


	$dossier='../'.$dossier_xml_tache.'/'.$_POST['modeleTache'];
	$fichier_xml = simplexml_load_file($dossier.'/tache.xml');
	
	$numTask=getNumTachePere($fichier_xml,$_POST['idTache']);	
	

	$tableauIdSousTache=Array();
 	getListeIdTache($fichier_xml->task[$numTask],$tableauIdSousTache);

	$tableauIdTache=Array();
	$tableauIdTache[]=$_POST['idTache'];


	// Recuperation des sous tache de ce noeuds
	foreach($tableauIdSousTache as $sousTache)
	{
		$tableauIdTache[]=(String)$sousTache;
		$testl.=(String)$sousTache;
	}




	$xml='';
	foreach($tableauIdTache as $sousTache)
	{
		$resultat_recherche=Array();
		rechercher_tache($fichier_xml,$sousTache,$resultat_recherche);
	
	
		$xml.="<task>";
		$xml.="<id>".$resultat_recherche->id."</id>";
		
		$xml.="<modalite>";

		$ModSousTache="";
		$isPremier=false;

		$modalite=$resultat_recherche->modalite;
		foreach($modalite->modaliteTache as $ModaliteDispo)
		{
			$attributs="";
			foreach($ModaliteDispo->attributes() as $key=>$value)
			{
				$attributs.=" ".$key."='".$value."'";
			}
			$xml.="<modaliteTache".$attributs.">".$ModaliteDispo."</modaliteTache>";

			if(!$isPremier && in_array($ModaliteDispo,$_POST['modalitePossibleClient']))
			{
				$ModSousTache=$ModaliteDispo;
				$isPremier=true;
			}

		}

		$xml.="</modalite>";
		

		$xml.="<TypeModaliteDefault>".$resultat_recherche->TypeModaliteDefault."</TypeModaliteDefault>";
	
		if($ModSousTache=="")
			$ModSousTache=$resultat_recherche->TypeModaliteDefault;

		$xml.="<tempsTache>".$resultat_recherche->tempsTache."</tempsTache>";
	
	
		$xml.="<Metier>";
	
		// Partie Metier
	
		$tableauContenu=array();
		$idTache=$sousTache;
		$contenu=$_POST['contenu'];
		
	
		$dossierMetier='../'.$dossier_xml_qcm.'/'.$_POST['contenu'];
		$fichier_xml_metier = simplexml_load_file($dossierMetier.'/qcm.xml');
	
	
		getContenuTache($fichier_xml_metier,$idTache,$tableauContenu);
	
		$xml.="<div id='questionTache".$idTache."'>";
		foreach($tableauContenu as $numQuestion)
		{


	

			if(!isset($_POST['tableauQFini'])  || ( isset($_POST['tableauQFini']) && !in_array($numQuestion,$_POST['tableauQFini']) )){
				$contenu=array();
				$contenu=$fichier_xml_metier->question[$numQuestion];

				$xml.="".getCode($dossier_xml_qcm,$_POST['contenu'],$contenu,$numQuestion,$ModSousTache,0)."";
			}
			else
				$xml.="<div class='warning'>Question ".($numQuestion+1).": Completed</div>";
		}
		$xml.="</div>";
		$xml.="</Metier>";
		$xml.="</task>";
	}





	/* Debug*/
	$g = fopen('./tacheqcmdebug.txt', 'w');
	$test=$_POST['modeleTache'];

	$arrayMod=$_POST['modalitePossibleClient'];
	for ($i=0;$i<count($arrayMod);$i++)
		$test.=$arrayMod[$i];
	$test.=$xml;
	fwrite($g, $test);
	fclose($g);
	
	// Envoie du fichier XML.



        // Envoie du fichier XML
	header('Content-Type: text/xml; charset=ISO-8859-1');
	echo " <doc xmlns=\"http://www.w3.org/1999/xhtml\" xmlns:vxml=\"http://www.w3.org/2001/vxml\" xmlns:ev=\"http://www.w3.org/2001/xml-events\" xmlns:xv=\"http://www.voicexml.org/2002/xhtml+voice\">".$xml."</doc>";

}
else
{
	header("Content-Type: text/xml; charset:ISO-8859-1");
	echo "<doc></doc>";
}
?>

