<?php
include("../config.inc.php");
include("../common_functions.inc.php");



/* 
Donnees envoyees.
Cette page peut envoyer les donnees d'une question au script cote client.
Le numero de la question dont il faut envoyer les donnees est contenu dans la variable qv.
Les donnees seront envoyer sous la forme d'un fichier xml. Si le client ne demande pas de donnees 
($_POST['qv'] n'existe pas),on renvoie un fichier xml vide. 
*/

if (isset($_POST['qv']) && isset($_POST['qcm']))
{

	$dossier='../'.$dossier_xml_qcm.'/'.$_POST['qcm'];


	$nbq = '0';
	$q = '';
	$image = '';
	$explic = '';
	$typeQuestion = '';
	$reponses = '';

	// on recherche les donnees correspondant a la question voulue.
	$fichier_xml = @simplexml_load_file($dossier.'/qcm.xml');

	// On envoie egalement a chaque fois le nombre de questions dans le QCM.
	// Cela permet au client d'afficher "Question XX/XX".
	$nbq = count($fichier_xml->question);
	if (isset($fichier_xml->question[(int)$_POST['qv']]))
	{
		$qxml = $fichier_xml->question[(int)$_POST['qv']];

		if (isset($qxml->q)) $q = encode((string)$qxml->q);
		if (isset($qxml->image)) $image = (string)$qxml->image;
		if (isset($qxml->explic)) $explic = encode((string)$qxml->explic);
		if (isset($qxml->typeQuestion)) $typeQuestion = encode((string)$qxml->typeQuestion);
		foreach ($qxml->reponses->rep as $rep) 
			$reponses .= '<rep bonne="'.(string)$rep['bonne'].'">'.encode((string)$rep).'</rep>';
	}




	$xml = '<?xml version="1.0" encoding="UTF-8" ?>'."\n";
	$xml .= '<question nbq="'.$nbq.'"><q>'.$q.'</q><image>'.$image.'</image><explic>'.$explic.'</explic><reponses>'.$reponses.'</reponses></question>';

	/* Debug*/
	/*
	$g = fopen('./qcmdebug.txt', 'w');
	$test=$_POST['qcm'];
	$test.=$fichier_xml->asXML();
	$test=$xml;
	fwrite($g, $test);
	fclose($g);
	*/
	
	// Envoie du fichier XML.
	header("Content-Type: text/xml");
	echo $xml;
	
}
else
{
	@header("Content-Type: text/xml");
	echo '<?xml version="1.0" encoding="UTF-8" ?>'."\n".'<reponse></reponse>';
}
?>