/* Script utilisant Ajax */

// Variable globales.
var dossier_xml_qcm='';
var qcm = ''; // dossier du qcm.
var q = 0; // numero de la question actuelle.
var nb_q = 1; // nombre total de questions.
var idTache = ''; // Tache reliee a la question
var question = ''; // question actuelle.
var image = ''; // nom de l'image.
var explic = ''; // explications de la question.
var typeQuestion = ''; // type de la question
var multiple = false;
var reponses = new Array; // tableau contenant les reponses.
var bonne_reponse = new Array; // tableau contenant les numeros de la ou des bonne(s) reponse(s).
var validation = 0; // cette variable est mise a 1 lorsque l'utilisateur clique sur valider.
var fenimage="";

var XMLHttpRequestObject = false;



function indexOption(opt,val) {
	for(var i=0;i<opt.length;i++){
		if(opt[i].value==val) {
			return i;
		}
	}
	return 0;
}

function initTab(tableau,initialisation){
for (i=0; i<tableau.length;i++)
	tableau[i]=initialisation;
return tableau

}

function edit_init(dossier_qcm,dossier_xml_qcm)
{
	this.dossier_xml_qcm=dossier_xml_qcm;
	// fonction appelee au chargment de la page, initiatisation, et chargement de la premiere question.
	this.qcm = dossier_qcm;

	edit_envoie_req("q=0&qcm="+dossier_qcm);
}

function edit_envoie_req(req)
{	
	// creation du XMLHttpRequest et envoie d'une requete.
	if (window.XMLHttpRequest) // Mozilla, Safari, opera
	{
		this.XMLHttpRequestObject = new XMLHttpRequest();
		if (XMLHttpRequestObject.overrideMimeType) 	
			XMLHttpRequestObject.overrideMimeType('text/xml');
	}
	else if (window.ActiveXObject) //IE
	{
		try { this.XMLHttpRequestObject = new ActiveXObject("Msxml2.XMLHTTP") }
		catch (e)
		{
			try { this.XMLHttpRequestObject = new ActiveXObject("Microsoft.XMLHTTP") }
			catch (e) {}
		}
	}
	if (!XMLHttpRequestObject) alert('Erreur : Impossible d&#039;initialiser XMLHttpRequest.');


	XMLHttpRequestObject.open('POST', './metier/metier_editQCM.php',true);
	XMLHttpRequestObject.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	XMLHttpRequestObject.send(req);
	XMLHttpRequestObject.onreadystatechange = edit_reception;
	
}


function edit_reception()
{
	// fonction appelee lors du retour d'une requete XMLHttpRequest;

	if (validation == 1)
	{
		window.location.href = 'index.php';
		return 0;
	}

	// on reaoit les donnees d'une question dans un fichier xml et on les affiche.
	if (XMLHttpRequestObject.readyState == 4 && XMLHttpRequestObject.status == 200)
	{
		// lecture des donnees du fichier XML.
		var xml = XMLHttpRequestObject.responseXML;
		var rep = xml.getElementsByTagName('reponse').item(0);
		nb_q = rep.getAttribute('nbq');

		if (nb_q < q + 1) 
			nb_q = q + 1;

		if (rep.childNodes[0].firstChild) 
			idTache = rep.childNodes[0].firstChild.data;
		else 
			idTache = '';		

		if (rep.childNodes[1].firstChild) 
			question = rep.childNodes[1].firstChild.data;
		else 
			question = '';
		if (rep.childNodes[2].firstChild) 
			image = rep.childNodes[2].firstChild.data;
		else 
			image = '';
		if (rep.childNodes[3].firstChild) 
			explic = rep.childNodes[3].firstChild.data;
		else 
			explic = '';

		if (rep.childNodes[4].firstChild) 
			typeQuestion = rep.childNodes[4].firstChild.data;
		else 
			typeQuestion = '';

		


		reponses = new Array;
		bonne_reponse = new Array;
		for (i = 0; i < rep.childNodes[5].childNodes.length; i++)
		{
			if (rep.childNodes[5].childNodes[i].firstChild) 
				reponses[i] = rep.childNodes[5].childNodes[i].firstChild.data;
			else 
				reponses[i] = '';

			if (rep.childNodes[5].childNodes[i].getAttribute('bonne') == 'vrai') 
				bonne_reponse[i] = 'vrai';
			else
				bonne_reponse[i] = 'faux';
		}

		// remplissage de la page avec les donnees lues.
		document.getElementById('nbq').innerHTML = 'Question '+(q+1)+'/'+nb_q+' :';


		document.getElementById('sTache').selectedIndex=indexOption(document.getElementById('sTache'),idTache);

		document.getElementById('question').value = question;
		
		if (image != '') // une image est attachee a la question.
		{
			document.getElementById('Cimage').checked = true;
			document.getElementById('dimage').innerHTML = '<img src="'+'./'+dossier_xml_qcm+'/'+qcm+'/'+image+'" alt="" id="image" height="150" /><br />[<a href="javascript:ch_image();" class="a2">Changer l&#039;image</a>]';
		}
		else // aucune image.
		{
			document.getElementById('Cimage').checked = false;
			document.getElementById('dimage').innerHTML = '';
		}
		document.getElementById('texplic').value = explic;
		document.getElementById('sTypeQuestion').selectedIndex=indexOption(document.getElementById('sTypeQuestion'),typeQuestion);



		if(typeQuestion=="CheckBox" || typeQuestion=="selectMultiple" || typeQuestion=="Drag and drop")
			multiple=true;
		else
			multiple=false;

		aff_reponses(multiple);

		// affichage des boutons du bas.
		if (nb_q > 1) {

			document.getElementById('bout_suppr').disabled=false;
		}
		else {
			document.getElementById('bout_suppr').disabled=true;
		}

		if (q > 0) {
			document.getElementById('bout_prec').disabled=false;			
		}
		else {
			document.getElementById('bout_prec').disabled=true;
		}
	}
}



function q_change()
{
	question = document.getElementById('question').value;
}

function explic_change()
{
	explic = document.getElementById('texplic').value;
}



function image_click()
{
	if (document.getElementById('Cimage').checked){
	
		document.getElementById('dimage').innerHTML = '<img src="" alt="" id="image" /><br />[<a href="javascript:ch_image();" class="a2">Changer l&#039;image</a>]';
	}
	else
	{
		document.getElementById('dimage').innerHTML = '';
		image = '';
	}
}

function ch_image()
{
 		fenimage = window.open('./metier/metier_FormUploadImg.php?qcm='+qcm+'&q='+q, 'upload_img', 'menubar=no,location=no,resizable=no,scrollbars=no,status=no,width=600,height=150');
}

function ch_image_fini(nouv_img)
{
	this.image = nouv_img;


	if (image != '') // une image est attachee a la question.
		{
			document.getElementById('Cimage').checked = true;

			var now = new Date();
			document.getElementById('dimage').innerHTML = '<img src="'+'./'+dossier_xml_qcm+'/'+qcm+'/'+image+'?'+now.getTime()+'" alt="" id="image" height="150" /><br />[<a href="javascript:ch_image();" class="a2">Changer l&#039;image</a>]';
		}
		

	
}

	
function tache_change()
{	
	var numtacheQuestion=0;
	numtacheQuestion = document.getElementById('sTache').options.selectedIndex;
	idTache=document.getElementById('sTache').options[numtacheQuestion].value;
}

function type_change()
{	
	var numtypeQuestion=0;
	numtypeQuestion = document.getElementById('sTypeQuestion').options.selectedIndex;
	typeQuestion=document.getElementById('sTypeQuestion').options[numtypeQuestion].value;

	if(typeQuestion=="CheckBox" || typeQuestion=="selectMultiple" ||typeQuestion=="Drag and drop")
		multiple=true;
	else
		multiple=false;

	bonne_reponse=initTab(bonne_reponse,'faux');
	
	if (!multiple==false)
		bonne_reponse[0]='vrai';

	aff_reponses(multiple);
}



function aff_reponses(isMultiple)
{
	// affichage des reponses en fonction du contenu de la variable "reponses".
	var rephtml = '';
	for (i = 0; i < reponses.length; i++)
	{	


		if(isMultiple)
		{
			rephtml += '<input type="checkbox" name="bonne_rep"';

			if (bonne_reponse[i] == 'vrai')
				rephtml +=' checked';
			 rephtml += ' onClick="javascript:sel_reponse('+i+','+isMultiple+');" /> <input type="text" size="30" id="rep_'+i+'" value="'+reponses[i]+'" onchange="javascript:reponses['+i+']=this.value;" />';
			document.getElementById('repmul').innerHTML= "(Cocher la ou les bonne(s) r&eacute;ponse(s)) :";
		}
		else
		{
			rephtml += '<input type="radio" name="bonne_rep"';

			if (bonne_reponse[i] == 'vrai')
				rephtml +=' checked';
			rephtml +=' onclick="javascript:sel_reponse('+i+','+isMultiple+');" /> <input type="text" size="30" id="rep_'+i+'" value="'+reponses[i]+'" onchange="javascript:reponses['+i+']=this.value;" />';
			document.getElementById('repmul').innerHTML= "(Cocher la bonne r&eacute;ponse) :";
		}
		rephtml += ' [<a href="javascript:suppr_rep('+i+')"  class="a2">Supprimer cette reponse</a>]<br />';
	}
	document.getElementById('rep').innerHTML = rephtml;
	
}

function sel_reponse(i,isMultiple)
{

	if(!isMultiple){
		for (indice = 0; indice<i; indice++) 
			this.bonne_reponse[indice]='faux';
		for (indice = i + 1; indice < bonne_reponse.length; indice++) 
			this.bonne_reponse[indice]='faux';
	}

	if (bonne_reponse[i]=='vrai') 
		this.bonne_reponse[i] = 'faux';
	else
		this.bonne_reponse[i] = 'vrai';
}

function aj_rep()
{
	reponses[reponses.length] = 'Nouvelle reponse';
	bonne_reponse[bonne_reponse.length]='faux';
	aff_reponses(multiple);
}




function suppr_rep(rep)
{
	var reponses_new = new Array();
	for (i = 0; i < rep; i++) 
		reponses_new[i] = reponses[i];
	for (i = rep + 1; i < reponses.length; i++) 
		reponses_new[i - 1] = reponses[i];
	
	var bonne_reponse_new = new Array();
	for (i = 0; i<rep; i++) 
		bonne_reponse_new[i] = bonne_reponse[i];
	for (i = rep + 1; i < bonne_reponse.length; i++) 
		bonne_reponse_new[i - 1] = bonne_reponse[i];



	reponses = reponses_new;
	bonne_reponse=bonne_reponse_new;
	aff_reponses(multiple);
}







/* Envoie les donnees du formulaire */
function edit_donnees_envoie()
{
	// prepare l'envoie des donnees d'une question vers la page php.
	var d = 'qe='+q;
	d += '&qcm='+qcm;
	d += '&sTache='+encodeURIComponent(idTache);
	d += '&question='+encodeURIComponent(question);
	d += '&image='+image;
	d += '&explic='+encodeURIComponent(explic);
	d += '&typeQuestion='+encodeURIComponent(typeQuestion);


	d += '&nb_bonne_rep='+bonne_reponse.length;
	for (i = 0; i < bonne_reponse.length; i++) 
		d += '&bonne_rep'+i+'='+encodeURIComponent(bonne_reponse[i]);

	d+= '&nbrep='+reponses.length;
	for (i = 0; i < reponses.length; i++) 
		d += '&rep'+i+'='+encodeURIComponent(reponses[i]);


	//document.getElementById('debug').innerHTML=d;
	return d;
}

function valider()
{
	validation = 1;
	edit_envoie_req(edit_donnees_envoie());
}

function quest_prec()
{
	var donnees = edit_donnees_envoie();
	q --;
	edit_envoie_req(donnees+'&q='+q+'&qcm='+qcm);
}

function quest_suiv()
{
	var donnees = edit_donnees_envoie();
	q ++;
	edit_envoie_req(donnees+'&q='+q+'&qcm='+qcm);
}

function quest_suppr()
{
	var donnees = 'qs='+q;
	if (q != 0) q--;
	edit_envoie_req(donnees+'&q='+q+'&qcm='+qcm);
}

function retour()
{
	window.location.href = 'index.php';
	return 0;

}
