﻿
/* Script utilisant Ajax */

// Variables globales.
var xml_dossier_qcm = '';
var qcm = ''; // Dossier du QCM.
var nb_q = 0; // nombre de questions dans le QCM.
var qv = 0; // numéro de la question actuelle.
var rep = 0; // numéro de la réponse actuelle.
var fini = 0; // indique si le QCM est terminé (affichage du corrigé.

var chaineDeReponse=new Array();
var nbBonneRep=0;
var visionScore=false;


function voir_init(xml_qcm,dossier_qcm,nb_questions,arrayReponsesForm,boolVisionScore)
{
	xml_dossier_qcm=xml_qcm;
	nb_q = nb_questions;
	qcm = dossier_qcm;
	this.chaineDeReponse=arrayReponsesForm;
	visionScore=boolVisionScore;	
	
	voir_envoie_req("qv=0"+'&qcm='+qcm);
}

function voir_envoie_req(req)
{

	// création du XMLHttpRequest et envoie d'une requête.
	if (window.XMLHttpRequest)
	{
		http_request = new XMLHttpRequest();
		if (http_request.overrideMimeType) http_request.overrideMimeType('text/xml');
	}
	else if (window.ActiveXObject)
	{
		try { http_request = new ActiveXObject("Msxml2.XMLHTTP") }
		catch (e)
		{
			try { http_request = new ActiveXObject("Microsoft.XMLHTTP") }
			catch (e) {}
		}
	}
	if (!http_request) alert('Erreur : Impossible d&#039;initialiser XMLHttpRequest.');

	http_request.onreadystatechange = voir_reception;
	http_request.open('POST', './metier/metier_voirQCM.php', true);
	http_request.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');

	http_request.send(req);
}


function voir_reception()
{

	if (http_request.readyState == 4 && http_request.status == 200)
	{
		var fichierxml = http_request.responseXML;

		if (fini == 0) // Affichage du corrigé.
		{


			var question, image, explic, reponses;
			var xml = fichierxml.getElementsByTagName('question').item(0);

			// Recuperation de la question
			if (xml.childNodes[0].firstChild) 
				question = xml.childNodes[0].firstChild.data;
			else 
				question = '';

			// Recuperation de l'image de la question	
			if (xml.childNodes[1].firstChild) 
				image = xml.childNodes[1].firstChild.data;
			else 
				image = '';

			// Recuperation de la description
			if (xml.childNodes[2].firstChild) 
				explic = xml.childNodes[2].firstChild.data;
			else 
				explic = '';

			// Recuperation des reponses
			reponses = new Array;
			for (i = 0; i < xml.childNodes[3].childNodes.length; i++)
			{
				reponses[i] = new Array;
				if (xml.childNodes[3].childNodes[i].firstChild)
					reponses[i][0] = xml.childNodes[3].childNodes[i].firstChild.data;
				else
					reponses[i][0] = '';
				reponses[i][1] = xml.childNodes[3].childNodes[i].getAttribute('bonne');
			}

			// remplissage de la page avec les données lues.
			document.getElementById('c_titre').innerHTML = 'Correction : Question '+(qv+1)+'/'+nb_q+' ';



			var html = '<div id="voir_question" class="question">'+question+'</div>';
			if (image != '') {

				var now=new Date();	
				html += '<div id="voir_image"><img alt="" src="./'+xml_dossier_qcm+'/'+qcm+'/'+image+'?'+now.getTime()+'" height="150" /></div>';
			}
			if (explic != '') 
				html += '<div id="voir_explic" class="description">'+explic+'</div>';
			html += '<div id="voir_reponses">';


			if(visionScore){
				var bienRepondu=false;			
				var cle='reponses'+qv;

				var tableauReponduTmp=chaineDeReponse[cle];
				//alert(tableauReponduTmp.toString());
			}



			var tableauBonneRep=new Array();
			rep = 0;
			for (i = 0; i < reponses.length; i++)
			{
				var class;
				if (reponses[i][1]=='vrai')
					class=' <span class="bonneRep">';
				else
					class=' <span>';

				html += '&gt; '+class+reponses[i][0]+'</span><br />';



				//Traitement du score
				if(reponses[i][1]=='vrai'){
					tableauBonneRep[tableauBonneRep.length]=reponses[i][0];			
				}



			}
			//<a class="'+reponses[i][1]+'"></a>


			//alert(tableauBonneRep.toString());
			
			if(visionScore){
				bienRepondu=compareTableauReponse(tableauReponduTmp,tableauBonneRep);
			
				if (bienRepondu)
					nbBonneRep++;



				html += '<div class="warning">Reponse(s) donnee(s) : ';
				html += tableauReponduTmp.toString()+ '<br/>';

				if(bienRepondu)
					html += '  BONNE REPONSE ';
				else
					html += '  MAUVAISE REPONSE ';
				html +='</div>';


			}


			html += '</div>';
			
			document.getElementById('c_cadre').innerHTML = html;

			// affichage des boutons du bas.

			
			if ( (qv+1) < nb_q) {
	
				document.getElementById('voir_bout_suiv').disabled=false;
			}
			else {
				document.getElementById('voir_bout_suiv').disabled=true;
			}

			
			if ( (qv+1) == nb_q) {
				document.getElementById('voir_bout_score').disabled=false;
			}
			else {
				document.getElementById('voir_bout_score').disabled=true;
			}
				
			
			
			if (qv >= 1 && !visionScore) {
				document.getElementById('voir_bout_prec').disabled=false;			
			}
			else {
				document.getElementById('voir_bout_prec').disabled=true;
			}
			return 0;
		}


	}
}






function voir_in_array(tableau,valeur){
	var taille=tableau.length;
	for(var i=0;i<taille;i++)
	{
		if(tableau[i]==valeur)
			return true;
	}
	return false;
}


function compareTableauReponse(tabrepondu,tabbonneReponses){


var sizeTabRepondu=tabrepondu.length;
var sizeTabBonneRep=tabbonneReponses.length;

// Pas le bon nombre de bonne reponses
if(sizeTabRepondu != sizeTabBonneRep)
	return false;


var bon=true;

for(var i=0;i<tabrepondu.length;i++){
	if(!voir_in_array(tabbonneReponses,tabrepondu[i]) ){
		return false;
	}


}

return true;

}








function voir_corrige_score()
{

	document.getElementById('voir_bout_prec').disabled=true;			
	document.getElementById('voir_bout_suiv').disabled=true;
	html = '<div id="voir_score">';
	html += ' Votre score est de : '+nbBonneRep+'/'+nb_q;
	html += '</div>';
	document.getElementById('c_cadre').innerHTML = html;

}


function voir_corrige_suiv()
{
	qv ++;
	voir_envoie_req('qv='+qv+'&qcm='+qcm);
}

function voir_corrige_prec()
{
	qv --;
	voir_envoie_req('qv='+qv+'&qcm='+qcm);
}



function voir_retour()
{
	window.location.href = 'index.php';
	return 0;
}
